summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJames Henstridge <james@daa.com.au>2001-05-02 04:21:27 +0000
committerJames Henstridge <jamesh@src.gnome.org>2001-05-02 04:21:27 +0000
commitcdfa62e1baa595e0f6f0347c7958ef6cb1717f13 (patch)
treefc5be90efeece86874732363a6e38bd2baa4ff5b /autogen.sh
parentdaeb33cbb9e82b230fb57d28b076e3e2bddab3e6 (diff)
downloadpygtk-cdfa62e1baa595e0f6f0347c7958ef6cb1717f13.tar.gz
fix up autogen script to call autoheader
2001-05-01 James Henstridge <james@daa.com.au> * autogen.sh: fix up autogen script to call autoheader * gtk/gtk.defs: remove colorsel palette manipulation functions.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 014dabc8..33fc03d4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -20,6 +20,14 @@ DIE=0
DIE=1
}
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile gnome-xml."
+ echo "Get ftp://ftp.gnu.org/gnu/libtool/libtool-1.4.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $PROJECT."
@@ -49,7 +57,7 @@ esac
if test -z "$ACLOCAL_FLAGS"; then
acdir=`aclocal --print-ac-dir`
- m4list="glib.m4 gettext.m4 python.m4"
+ m4list="glib-2.0.m4 gtk-2.0.m4 gettext.m4"
for file in $m4list
do
@@ -74,7 +82,7 @@ fi
aclocal $ACLOCAL_FLAGS
# optionally feature autoheader
-#(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
+(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
# run libtoolize ...
libtoolize --force